@echo off
cd /d %0\..
set curdir=%cd%
set J2D_D3D=false

rem find java
if not "%JAVA_HOME%"=="" goto java_set
set JAVA_PARENT=C:\Program Files (x86)\Java
for /F "delims=" %%i IN ('dir "%JAVA_PARENT%" /B /A:D /O:D') do set JAVA_HOME=%JAVA_PARENT%\%%i
if exist "%JAVA_HOME%\bin\javaw.exe" goto java_found
set JAVA_PARENT=C:\Program Files\Java
for /F "delims=" %%i IN ('dir "%JAVA_PARENT%" /B /A:D /O:D') do set JAVA_HOME=%JAVA_PARENT%\%%i
:java_set
if not exist "%JAVA_HOME%\bin\javaw.exe" goto nojava

:java_found
set javaw=%JAVA_HOME%\bin\javaw.exe

rem include extensions
setlocal enableDelayedExpansion
set wst_ext_cp=
for %%i in (extensions\*.jar) do set wst_ext_cp=%cd%\%%i;!wst_ext_cp!
echo classpath=%wst_ext_cp%
setlocal disableDelayedExpansion

set params=-Duser.timezone=Europe/Zurich
if exist WebserviceTool.exe set app=WebserviceTool.exe %*
if exist WebserviceTool.eve set app="%javaw%" %params% -cp %cd%\eve.jar;%wst_ext_cp% Eve %cd%\WebserviceTool.eve %*
echo %app%
if "%javaw%"=="" goto nojava
rem Set Username - use the variable %wst_user% for user specific request directories
rem when using a shared central installation
set wst_user=%USERNAME%
echo Starting WebserviceTool...
start "WebserviceTool" %app%
timeout /T 15
goto end

:nojava
echo.
echo No Java VM found! Please contact your PC support
echo.
pause
goto end

:end
